# $Revision: 1.46 $, $Date: 2006/09/08 18:03:40 $
Summary:	A (currently) authoritative-only DNS server made with security in mind
Summary(pl):	Tylko autorytatywny (na razie) serwer DNS zrobiony z myl o bezpieczestwie
Name:		maradns
Version:	1.1.43
Release:	3
License:	Public Domain
Group:		Networking/Daemons
Source0:	http://www.maradns.org/download/1.1/%{name}-%{version}.tar.bz2
# Source0-md5:	cac028c40b3c2b5519c80481616397fb
Source1:	%{name}.init
Source2:	zoneserver.init
Source3:	mararc
Patch0:		%{name}-default_uid.patch
URL:		http://www.maradns.org/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	rc-scripts
Provides:	group(named)
Provides:	nameserver
Provides:	user(named)
Obsoletes:	nameserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MaraDNS is (currently) an authoritative-only DNS server made with
security in mind.

%description -l pl
MaraDNS jest (na razie) tylko autorytatywnym serwerem DNS zrobionym z
myl o bezpieczestwie.

%package zoneserver
Summary:	Handle zone transfers for MaraDNS
Summary(pl):	Obsuga transferw stref dla MaraDNS
Group:		Networking/Daemons
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description zoneserver
zoneserver listens on port 53/tcp and handles dns zone transfers.
zoneserver uses a configuration file, /etc/mararc by default, to
determine various parameters, such as the IP to bind to, who is
allowed to perform zone transfers, etc.

%description zoneserver -l pl
zoneserver sucha na porcie 53/tcp i obsuguje transfery stref DNS.
Uywa domylnie pliku konfiguracyjnego /etc/mararc aby uzyska
parametry takie jak na jakim adresie ma sucha, kto moe robi
transfery stref itp.

%prep
%setup -q
%patch0 -p1

# kill precompiled x86 objects
rm -f {parse,qual,tcp}/*.o

%build
%{__make} \
	CC="%{__cc}" \
	FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/{,fr/}man{1,5,8}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/maradns,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT%{_localstatedir}/log

install server/maradns tcp/zoneserver tcp/getzone $RPM_BUILD_ROOT%{_sbindir}
install tools/askmara $RPM_BUILD_ROOT%{_bindir}
install tools/benchmark $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/maradns
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/zoneserver
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/mararc
install doc/en/examples/example_csv1 $RPM_BUILD_ROOT%{_sysconfdir}/maradns/db.example.com

> $RPM_BUILD_ROOT%{_localstatedir}/log/maradns
> $RPM_BUILD_ROOT%{_localstatedir}/log/zoneserver

install doc/en/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/en/man/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install doc/en/man/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install doc/fr/man/*.1 $RPM_BUILD_ROOT%{_mandir}/fr/man1
install doc/fr/man/*.5 $RPM_BUILD_ROOT%{_mandir}/fr/man5
install doc/fr/man/*.8 $RPM_BUILD_ROOT%{_mandir}/fr/man8

rm -rf doc/*/man

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 58 named
if [ "`/bin/id -u maradns 2>/dev/null`" = "58" ]; then
	/usr/sbin/usermod -d /tmp -l named maradns
fi
%useradd -u 58 -g 58 -d /tmp -s /bin/false -c "maraDNS user" named

%post
/sbin/chkconfig --add maradns
%service maradns restart
touch %{_localstatedir}/log/maradns
chmod 640 %{_localstatedir}/log/maradns

%postun
if [ "$1" = "0" ]; then
	%userremove named
	%groupremove named
fi

%post zoneserver
/sbin/chkconfig --add zoneserver
%service zoneserver restart
touch %{_localstatedir}/log/zoneserver
chmod 640 %{_localstatedir}/log/zoneserver

%preun
if [ "$1" = "0" ]; then
	%service maradns stop
	/sbin/chkconfig --del maradns
fi

%preun zoneserver
if [ "$1" = "0" ]; then
	%service zoneserver stop
	/sbin/chkconfig --del zoneserver
fi

%files
%defattr(644,root,root,755)
%doc 0QuickStart TODO 00README.FIRST CREDITS CHANGELOG doc/{README,en}
%lang(fr) %doc doc/fr
%attr(754,root,root) /etc/rc.d/init.d/maradns
%attr(755,root,root) %{_sbindir}/getzone
%attr(755,root,root) %{_sbindir}/maradns
%attr(755,root,root) %{_bindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mararc
%dir %{_sysconfdir}/maradns
%attr(640,root,root) %config %verify(not md5 mtime size) %{_sysconfdir}/maradns/db.example.com
%attr(640,root,root) %ghost %{_localstatedir}/log/maradns
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/maradns*
%{_mandir}/man8/duende*
%lang(fr) %{_mandir}/fr/man1/*
%lang(fr) %{_mandir}/fr/man5/*
%lang(fr) %{_mandir}/fr/man8/maradns*

%files zoneserver
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/zoneserver
%attr(755,root,root) %{_sbindir}/zoneserver
%attr(640,root,root) %ghost %{_localstatedir}/log/zoneserver
%{_mandir}/man8/zoneserver*
%lang(fr) %{_mandir}/fr/man8/zoneserver*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: maradns.spec,v $
Revision 1.46  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.45  2006/04/14 15:11:36  glen
- rel 2

Revision 1.44  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.43  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.42  2005/08/16 22:02:20  saq
- up to 1.1.43

Revision 1.41  2005/06/26 00:53:19  glen
- can't move usermod to trigger due order triggers are ran

Revision 1.40  2005/06/26 00:44:00  glen
- simplify

Revision 1.39  2005/06/26 00:39:25  glen
- fixed usermod check
- rel 2
- STBR

Revision 1.38  2005/06/13 14:48:57  undefine
- up to 1.1.41

Revision 1.37  2005/06/08 20:27:49  saq
- up to 1.1.37

Revision 1.36  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.35  2005/03/22 19:25:21  darekr
- quote CC

Revision 1.34  2005/03/22 19:19:38  darekr
- missing dir

Revision 1.33  2005/03/22 19:11:56  saq
- up to 1.1.30

Revision 1.32  2005/03/07 21:46:44  qboosh
- killed one more x86ism (builds now); unified pre script, release 2

Revision 1.31  2005/03/06 12:46:42  darekr
- missing manual

Revision 1.30  2005/03/06 09:22:31  paszczus
- updated to 1.1.29
- added URL
- STBR

Revision 1.29  2004/08/25 07:28:56  ankry
- typo in %pre, rel. 4

Revision 1.28  2004/08/25 05:03:40  ankry
- O:nameserver (as in bind)

Revision 1.27  2004/08/23 12:14:46  ankry
- added -default_uid patch
- renamed usr/group to named
- %userremove/%groupremove support
- rel. 3

Revision 1.26  2004/08/22 22:12:13  qboosh
- release 2

Revision 1.25  2004/08/22 19:39:09  qboosh
- kill precompiled x86 objects

Revision 1.24  2004/08/18 22:41:58  undefine
- update to 1.1.22

Revision 1.23  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.22  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.21  2003/05/28 12:59:41  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:50:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/15 18:24:45  misi3k
- removed Obsoletes

Revision 1.18  2003/04/14 15:13:44  misi3k
- updated to 1.1.16
- added Obsoletes, Provides

Revision 1.17  2002/11/27 22:06:21  juandon
- new %doc

Revision 1.16  2002/04/05 15:11:39  roman
- s/Public domain/Public Domain in License

Revision 1.15  2002/02/23 03:44:47  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/06 10:00:30  kloczek
- release 2 (grr .. ;).

Revision 1.11  2001/12/06 09:54:52  qboosh
- pl translations

Revision 1.10  2001/12/04 12:24:48  kloczek
- log files mark as %ghost (it will be good add ASAP logrotate support for
  this files) - using %ghost determines initialize this files in %post
  which determines adding fileutils o Prereq,
- move all %doc to main mackage ane removed doc subpackage.
- added passing FLAGS="%{rpmcflags}" and CC=%{__cc} (now spec is %{debug}
  ready and also well optimized and seems ready for crosscompilation),
- adde missing /sbin/chkconfig to Prereq,
- spec adapterized, cut %changelog and few other small cosmetics/simplifications.

Revision 1.9  2001/12/03 18:23:37  bonkey
- added missing (noreplace) in main %config

Revision 1.8  2001/12/03 18:17:47  bonkey
- update to 0.8.35 (a lot of bugfixes)
- package splited to: main, zoneserver and doc
- added /var/log/{maradns,zonserver} status logs
- cleaner init scripts

Revision 1.7  2001/10/31 10:50:24  bonkey
- added /usr/bin/benchmark

Revision 1.6  2001/10/30 23:13:52  bonkey
- release: 3
- bugfix for improper /etc/mararc and /etc/rc.d/init.d/zoneserver
  %{SOURCE*} file assigment
- added '%verify(not size mtime md5)' to %configs
- %configs' default attributes are 0640

Revision 1.5  2001/10/25 21:07:13  bonkey
- added chkconfig --add zoneserver in %post script

Revision 1.4  2001/10/25 21:04:45  bonkey
- release: 2
- added zoneserver support

Revision 1.3  2001/10/24 12:30:14  bonkey
- update to 0.8.26
- added conflicts
- added maradns.init
- added mararc source file
- corrected files list
- added {pre,post}{,un} scripts for adding user maradns

Revision 1.2  2001/05/19 15:40:14  undefine
- updated to 0.6.16

Revision 1.1  2001/05/09 07:19:14  undefine
- Initital PLD version
